<?php

/* ======================================================================== \
|   FORMA - The E-Learning Suite                                            |
|                                                                           |
|   Copyright (c) 2013 (Forma)                                              |
|   http://www.formalms.org                                                 |
|   License  http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt           |
|                                                                           |
|   from docebo 4.0.5 CE 2008-2012 (c) docebo                               |
|   License http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt            |
\ ======================================================================== */


echo '<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />';

define("IN_FORMA", true);
define("_deeppath_", '../');

require(dirname(__FILE__).'/../base.php');

// start buffer
ob_start();

// initialize
require(_base_.'/lib/lib.bootstrap.php');
Boot::init(BOOT_DATETIME);

// not a pagewriter but something similar
$GLOBALS['operation_result'] = '';
if(!function_exists("docebo_out")) {
    function docebo_cout($string) { $GLOBALS['operation_result'] .= $string; }
}
require_once(_adm_.'/lib/lib.permission.php');
require_once(_base_.'/lib/lib.pagewriter.php');
require_once(_base_.'/lib/lib.eventmanager.php');
require_once(_lms_.'/lib/lib.course.php');

docebo_cout('STARTING NOTIFICATION CRON ...<br /><br />');

/*
 *
------
important Information:
if you want this features, you should be made cron settings on the server
example cron setting;
0 14 * * 5  /formalms/cron/cron.task.php
Min  0
Hour  14
Day  *
Month  *
Day of week  5
-------------------------------------
 * "$slevel" =  user level into course
1-Guest
2-Ghost
3-Student
4-Tutor
5-Mentor
6-Instructor
7-Administrator
-------------------------------------------
* course status /  cu.status

define("_CUS_WAITING_LIST",		-2); //_CUS_WAITING_PAYMENT
define("_CUS_CONFIRMED",		-1);
define("_CUS_SUBSCRIBED",		0);
define("_CUS_BEGIN",			1);
define("_CUS_END",				2);
define("_CUS_SUSPEND",			3);
define("_CUS_OVERBOOKING",	4); //the user is overbooked

*/

$slevel='3';// you can change user level

$day = '7'; // you can change day number.if you select 7 days,  the message is sent if it has not entered the course for 7 day (a week)

$qtxt="SELECT cu.idUser,cu.idCourse,cu.status,cu.level,u.idst,u.userid,u.firstname,u.lastname,u.email,co.idCourse,co.name, t.idUser,t.idCourse,MAX(t.lastTime)
FROM learning_courseuser as cu, core_user as u, learning_course as co, learning_tracksession as t
WHERE cu.idUser = u.idst AND cu.idCourse = co.idCourse AND cu.status = 1 AND cu.level = $slevel AND  t.idUser = cu.idUser AND t.idCourse = cu.idCourse GROUP BY  cu.idCourse";

$res = sql_query($qtxt) or die (sql_error());
$course_man = new Man_Course();

while($row = sql_fetch_array($res)) {
    $delay_login_course = (floor((time('now') - strtotime($row[13])) / (60*60*24)));
    if($delay_login_course >= $day){  //The message is sent if it has not entered the course for '$day' time

        $recipients = $course_man->getIdUserOfLevel($row['idCourse'],$row['level']);

        $array_subs = array(

            '[url]' => Get::sett('url'),
            '[firstname]' => $row['firstname'],
            '[lastname]' => $row['lastname'],
            '[course_name]' => $row['name'],
            '[userid]' => ltrim($row['userid'],"/")
        );

        $msg_composer = new EventMessageComposer();

        $msg_composer->setSubjectLangText('email', '_ALERT_SUBJECT_COURSE_INCOMPLETE', false);

        $msg_composer->setBodyLangText('email', '_ALERT_TEXT_SUBJECT_COURSE_INCOMPLETE', $array_subs );

        $msg_composer->setBodyLangText('sms', '_ALERT_TEXT_SUBJECT_COURSE_INCOMPLETE', $array_subs);


     createNewAlert( 'UserCourseIncompleted',
            'status',
            'modify',
            '1',
            'Course incomplete notification sent to usernname:'.ltrim($row['userid'],"/") .' course name '.$row['name'],
            $recipients,
            $msg_composer,
            false);
     $ok = Lang::t('_OPERATION_SUCCESSFUL');
     docebo_cout( $ok.'...<br/>');

}

}

// finalize
Boot::finalize();

// remove all the echo
ob_clean();

// Print out the page
echo $GLOBALS['operation_result'];

// flush buffer
ob_end_flush();

?>